# norootforbuild

%define soname 0

Name:			libkate%{soname}
Version:		0.1.6
Release:		2.2
Summary:		Codec for Karaoke and Text Encapsulation for Ogg
Source:			http://libkate.googlecode.com/files/libkate-%{version}.tar.gz
Patch1:			libkate-makefile.patch
URL:			http://code.google.com/p/libkate/
Group:			System/Libraries
License:		BSD License (revised)
BuildRoot:		%{_tmppath}/build-%{name}-%{version}
BuildRequires:	flex bison libogg-devel libpng-devel
BuildRequires:	gcc make glibc-devel pkgconfig
Provides:		liboggkate%{soname} = %{version}-%{release}

%description
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the time,
this would be multiplexed with audio/video to carry subtitles, song lyrics
(with or without karaoke data), etc, but doesn't have to be. A possible use of
a lone Kate stream would be an e-book. Moreover, the motion feature gives Kate
a powerful means to describe arbitrary curves, so hand drawing of shapes can
be achieved. This was originally meant for karaoke use, but can be used for
any purpose. Motions can be attached to various semantics, like position,
color, etc, so scrolling or fading text can be defined.

More information can be found at http://wiki.xiph.org/index.php/OggKate




Authors:
--------
    Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>

%package -n libkate-devel
Summary:		Codec for Karaoke and Text Encapsulation for Ogg
Group:			Development/Libraries/C and C++
Requires:		%{name} = %{version}-%{release}
Requires:		libogg-devel
Provides:		liboggkate-devel = %{version}-%{release}

%description -n libkate-devel
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the time,
this would be multiplexed with audio/video to carry subtitles, song lyrics
(with or without karaoke data), etc, but doesn't have to be. A possible use of
a lone Kate stream would be an e-book. Moreover, the motion feature gives Kate
a powerful means to describe arbitrary curves, so hand drawing of shapes can
be achieved. This was originally meant for karaoke use, but can be used for
any purpose. Motions can be attached to various semantics, like position,
color, etc, so scrolling or fading text can be defined.

More information can be found at http://wiki.xiph.org/index.php/OggKate




Authors:
--------
    Vincent Penquerc'h <ogg.k.ogg.k@googlemail.com>

%debug_package
%prep
%setup -q -n "libkate-%{version}"
%patch1
%__sed -i 's|^prefix=.*$|prefix=%{_prefix}|;s|^libdir=.*$|libdir=%{_libdir}|' \
		 misc/pkgconfig/kate.pc \
		 misc/pkgconfig/oggkate.pc

%build
%__make %{?jobs:-j%{jobs}} \
		  STRIP=touch \
		  OPTFLAGS="%{optflags}" \
		  PREFIX="%{_prefix}" \
		  CC="%__cc" \
		  TLIB="%{_lib}"

%install
%__make \
		  STRIP=touch \
		  PREFIX="%{buildroot}%{_prefix}" \
		  TLIB="%{_lib}" \
		  install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/libkate.so.%{soname}
%{_libdir}/libkate.so.%{soname}.*.*
%{_libdir}/liboggkate.so.%{soname}
%{_libdir}/liboggkate.so.%{soname}.*.*

%files -n libkate-devel
%defattr(-,root,root)
%{_includedir}/kate
%{_libdir}/libkate.so
%{_libdir}/libkate.a
%{_libdir}/liboggkate.so
%{_libdir}/liboggkate.a
%{_libdir}/pkgconfig/kate.pc
%{_libdir}/pkgconfig/oggkate.pc

%changelog
* Sun Aug 31 2008 Carsten Schoene <cs@linux-administrator.com>
- initial SLE_10 build import
